anaconda 安装 tensorflow 出现 UnsatisfiableError: 如何解决

图片说明
出现 UnsatisfiableError: The following specifications were found to be in conflict: 问题
我试了下用网上说的用清华的那个镜像的方法,仍然出现同样的error,
请问应该如何解决。

asdddadadada
jianmosier 回复歡杺Hs-揄哾: 抱歉回复这么晚,这个问题简单说是版本的问题,简单的解决办法是,所有的统统删除,重新安装,欢迎再交流
大约一年之前 回复
HS_LJ
歡杺Hs-揄哾 我也是,你现在解决了吗,方便告知下解决办法不
一年多之前 回复

3个回答

这个conda install tensorflow还是存在很多问题的,我的解决办法是用pip install (tensorflow的whl文件),切记,在anaconda中,直接安装tensorflow会出现不支持avx的问题,因为,pip install tensorflow 直接安装的tensorflow版本是不支持avx编译版本的,需要用cpu,之后就是vscode配置的问题。

再次检查安装的库适用的OS、版本、机器位数是否都对应上。

如果还不行的话,两种alternatives:

1、在anaconda navigator的环境管理器上直接搜索下载、安装;

2、不用anaconda prompt,直接用系统的pip install 命令。

https://blog.csdn.net/qq_41058594/article/details/84333751
看这篇博客吧,希望对你有用!

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问